package ijp.assignment1.langen;

/**
 * Used to automatically generate sentences. It is used for  AIJP assignment 1
 * to generate 
 * language spoken by ChatBots.
 * 
 * @author Judy Robertson
 */

public interface LanguageGenerator {

    /**
     * Generate a fresh sentence
     * 
     * @return a string containing a new sentence
     */
    public String generateSentence();

    /**
     * Generate a response to the specified comment
     * 
     * @param remark The comment to reply to
     * 
     * @return A string containing a reply relating to the specified remark
     */
    public String generateReply(String remark);

}
